<?php
namespace Teknisa\MAN\Controllers;

use Zeedhi\Framework\Controller\CrudWithParameterBag;
use Zeedhi\Framework\DataSource\ParameterBag;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO\Response\Notification;
use Zeedhi\Framework\DataSource\Manager;
use \Exception as Exception;
use \Teknisa\Libs\Utilities\Environment;
use Zeedhi\Framework\DataSource\FilterCriteria; 

class FilialFilioperComLoja extends \Teknisa\MAN\Controllers\TeknisaCrud {

    protected $dataSourceName = "filial_filioper_com_loja";
    protected $parameterBagColumns = ["NRORG", "CDOPERADOR"];
    protected $dataSourceNamePerfil = "filial_filioper_com_loja_perfil";
    protected $parameterBagColumnsPerfil = ["NRORG", "CDOPERADOR", "PERFIL"];
    protected $util;
    protected $crudService;
    
    public function __construct (ParameterBag $parameterBag, Manager $dataSourceManager, $cadTipoLojaService, $util, $crudService, $environment) {
        $this->parameterBag = $parameterBag;
        $this->dataSourceManager = $dataSourceManager;
        $this->cadTipoService = $cadTipoLojaService;
        $this->util = $util;
		$this->crudService = $crudService;
		$this->environment = $environment;
    }

    public function find(DTO\Request\Filter $request, DTO\Response $response) {
        if($this->environment->getIdUtlPerfilFilial() == 'S'){
            $conditions = $this->util->getParamsAsArray($request);
            
            $conditions['PERFIL'] = $this->environment->getNrPerfil();
            
            $dataSourceFilter = array();
            
            foreach($conditions as $key => $value) {
                $dataSourceFilter[] = array(
                    "columnName" => $key,
                    "operator"=> "=",
                    "value"=> $value
                );
            }
            $this->dataSourceName      = $this->dataSourceNamePerfil;
            $this->parameterBagColumns = $this->parameterBagColumnsPerfil;
            
            $newRequest = new DTO\Request\Filter(
                new FilterCriteria(
                    $this->dataSourceName,
                    $dataSourceFilter,
                    $request->getFilterCriteria()->getPage(),
                    $request->getFilterCriteria()->getPageSize()
                ),
                $request->getMethod(),
                $request->getRoutePath(),
                $request->getUserId()
            );
            
            $request = $newRequest;
        } else {
            $this->dataSourceName      = $this->dataSourceName;
            $this->parameterBagColumns = $this->parameterBagColumns;
        }
        parent::find($request, $response);
    }
}
