<?php

namespace Teknisa\MAN\Services;

use Teknisa\MAN\Utilities\Query;
use Doctrine\ORM\EntityManager;
use Teknisa\MAN\Utilities;


class CustomizacaoTAAservice {

	

	public function __construct(EntityManager $entityManager) {
        $this->entityManager = $entityManager;
		$this->connection = $entityManager->getConnection();
    }
    

	public function saveColors($paramsCores){
		
		$statement = $this->entityManager->getConnection()->prepare(self::UPDATE_COLORS);
		$statement->bindParam(':CORESJSON', $paramsCores['CORESJSON'], \PDO::PARAM_LOB);
		$statement->bindParam(':NRORG',				 $paramsCores['NRORG'],			  \PDO::PARAM_INT);
		$statement->execute();
	
	}
	
	const UPDATE_COLORS = "
	UPDATE CUSTOMIZACAOTAAMOBILE
		SET CORESJSON = :CORESJSON
		WHERE NRORG = :NRORG
	";
	
	const INSERT_COLORS =
	"INSERT INTO CUSTOMIZACAOTAAMOBILE
	(CORESJSON, NRORG)
	VALUES
	(:CORESJSON, :NRORG)
	";
	
	public function saveImages($paramsImagens){
		
		$statement = $this->entityManager->getConnection()->prepare(self::UPDATE_IMAGES);
		$statement->bindParam(':JSONB64CUSTOMMEDIA', $paramsImagens['JSONB64CUSTOMMEDIA'], \PDO::PARAM_LOB);
		$statement->bindParam(':NRORG',				 $paramsImagens['NRORG'],			  \PDO::PARAM_INT);
		$statement->execute();	
		
	
	}
	

	const UPDATE_IMAGES = "
		UPDATE CUSTOMIZACAOTAAMOBILE
		SET JSONB64CUSTOMMEDIA = :JSONB64CUSTOMMEDIA
		WHERE NRORG = :NRORG
	";
	 
}